%Plotta i grafici
%(Avviare Il prog. "ctocto.m")


%Dati Completi Forniti dall'Oscilloscopio
figure;
plot(0:Tmax/N:Tmax-Tmax/N,100.*I1cc','r');
grid on;
title('Oscillogramma di Cortocircuito',... 
  'FontWeight','bold');
ylabel('Corrente di Fase [A]');
axis([0 Tmax -100 160]);
xlabel('Tempo [ms]');
hold off;




%Dati Forniti dall'Oscilloscopio
figure;
plot(t,I1,'r');
hold on;
plot(tc,Ic,'ok');
plot(tm,Im,'ok');
title('Oscillogramma di Cortocircuito',... 
  'FontWeight','bold');
ylabel('Corrente di Fase [A]');
axis([0 900 -100 160]);
xlabel('Tempo [ms]');
hold off;


%Disegna il Fitting in scala semilogaritmica
figure;
plot(tcmp,log(Icmp),'ok');
title('Determinazione dei parametri del Transitorio','FontWeight','bold');
hold on;
plot(tc0,yfit,'r','LineWidth',2);
xlabel('Tempo [ms]');
ylabel('Logaritmo dei valori di picco');
legend('Picchi Effettivi','Interpolazione');
hold off;


%Evidenzia la l'inizio del Transitorio
It1=Kt*exp(-tc0./T1);
figure;
plot(tcm,Icm,'ok');
title('Confronto: Transitorio - Picchi Effettivi','FontWeight','bold');
hold on;
plot(tc0,It1+Ireg,'r','LineWidth',2);
xlabel('Tempo [ms]');
ylabel('Corrente di Fase [A]');
legend('Picchi Effettivi','Comp.Transitoria');
hold off;


%Visualizza in dettaglio il Fitting
%della componente Subtrans.+Unidir.
t1=0:0.1:max(tc0);
y2=Ks*exp(-t1./T2)+Ku*exp(-t1./Tu);

figure;
subplot(2,1,1),plot(tc0,y1,'xk');
hold on;
plot(t1,y2,'r');
title('Fitting della Comp. Subtrans.+Unidir','FontWeight','bold');
xlabel('Tempo [ms]');
ylabel('Corrente [A]');
legend('Valori Sperimentali','Interpolazione');
hold off;
subplot(2,1,2),plot(tc0,y1,'xk');
title('Dettaglio: ZOOM','FontWeight','bold');
hold on;
plot(t1,y2,'r')
axis([50 400 -10 10]);
xlabel('Tempo [ms]');
ylabel('Corrente [A]');
legend('Valori Sperimentali','Interpolazione');


%Traccia le Componenti
figure;
plot(tc0,Ic,'-ok');
Title('Componenti','FontWeight','bold');
hold on;
plot(tc0,It1,'-sr');
plot(tc0,y1,'-xb');
line([0 850],[Ireg Ireg],'Color','m','LineWidth',2);
axis([0 850 -10 150]);
grid on;
xlabel('Tempo [ms]');
ylabel('Corrente di Fase [A]');
legend('Picchi effettivi','Transitorio','Subtrans.+Unidir.','Corr.di Regime');
hold off;